<?php
// +-------------------------------------------------+
// | 2002-2011 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: interface_entity_analysis_content_form.class.php,v 1.1.4.3 2026/05/21 07:28:04 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class interface_entity_analysis_content_form extends interface_entity_record_content_form {
	
    protected function _init_tabs_data() {
        parent::_init_tabs_data();
        // Pagination
        $this->_add_tab_data('el2', 'serial_Pagination');
    }
    
    protected function _init_elements_titles_data() {
        //Titre propre
        $this->_add_element_data('f_tit1', 'el0Child_0' , '237');
        // Titre parallèle
        $this->_add_element_data('f_tit3', 'el0Child_1', '239');
        // Complément du titre
        $this->_add_element_data('f_tit4', 'el0Child_2', '240');
    }
    
    protected function get_display_mode_selector($name) {
        return selector_model::get_instance($name)->get_display_mode('analysis');
    }
}